/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     | Website:  https://openfoam.org
    \\  /    A nd           | Copyright (C) 2011-2020 OpenFOAM Foundation
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

Class
    Foam::pointPatchFieldMapper

Description
    Foam::pointPatchFieldMapper

\*---------------------------------------------------------------------------*/

#ifndef pointPatchFieldMapper_H
#define pointPatchFieldMapper_H

#include "primitiveFields.H"
#include "generalFieldMapper.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

/*---------------------------------------------------------------------------*\
                    Class pointPatchFieldMapper Declaration
\*---------------------------------------------------------------------------*/

class pointPatchFieldMapper
:
    virtual public fieldMapper
{

public:

    // Constructors

        //- Null constructor
        pointPatchFieldMapper()
        {}
};


/*---------------------------------------------------------------------------*\
                Class generalPointPatchFieldMapper Declaration
\*---------------------------------------------------------------------------*/

class generalPointPatchFieldMapper
:
    public pointPatchFieldMapper,
    public generalFieldMapper
{

public:

    // Constructors

        //- Null constructor
        generalPointPatchFieldMapper()
        {}
};


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
